%global momorel 4
%global qtver 3.3.7
%global kdever 3.5.6
%global kdelibsrel 6m
%global qtdir %{_libdir}/qt3
%global kdedir /usr
%global enable_gcc_check_and_hidden_visibility 0
%global md5sum_src0 aef790871583444cd81bd9dea9c3fd0b

Summary: KDE Image Plugin Interface
Name: libkipi
Version: 0.1.5
Release: %{momorel}m%{?dist}
License: LGPL
URL: http://extragear.kde.org/apps/kipi/
Group: System Environment/Libraries
%NoSource 0 http://dl.sourceforge.net/sourceforge/kipi/%{name}-%{version}.tar.bz2 %{md5sum_src0}
BuildRoot: %{_tmppath}/%{name}-%{version}-root
Requires: kdelibs >= %{kdever}-%{kdelibsrel}
BuildPreReq: qt-devel >= %{qtver}
BuildPreReq: kdelibs-devel >= %{kdever}-%{kdelibsrel}
BuildPreReq: pkgconfig

%description
The library of the KDE Image Plugin Interface

%package devel
Summary: Static libraries and headers for libkipi
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}
Requires: pkgconfig

%description devel
libkipi contains the libraries and header files needed to
develop programs which make use of libkipi.

%prep
%setup -q

%build
export QTDIR=%{qtdir} KDEDIR=%{kdedir} QTLIB=%{qtdir}/lib

CFLAGS="%{optflags}" \
CXXFLAGS="%{optflags}" \
./configure \
	--prefix=%{_prefix} \
	--libdir=%{_libdir} \
	--with-qt-libraries=%{qtdir}/lib \
	--enable-new-ldflags \
%if %{enable_gcc_check_and_hidden_visibility}
	--enable-gcc-hidden-visibility \
%endif
	--disable-debug \
	--disable-warnings \
	--disable-rpath

make %{?_smp_mflags}

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}
make install DESTDIR=%{buildroot}

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%post
/sbin/ldconfig

%postun
/sbin/ldconfig

%files
%defattr(-, root, root)
%doc AUTHORS COPYING ChangeLog INSTALL NEWS README TODO
%{_libdir}/*.so.*
%{_datadir}/apps/kipi
%{_datadir}/icons/*/*/apps/*.png
%{_datadir}/locale/*/LC_MESSAGES/*.mo
%{_datadir}/servicetypes/*.desktop

%files devel
%defattr(-, root, root)
%{_includedir}/libkipi
%{_libdir}/pkgconfig/libkipi.pc
%{_libdir}/*.la
%{_libdir}/*.so

%changelog
* Wed Mar 28 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.1.5-4m)
- clean up spec file

* Wed Feb 14 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.1.5-3m)
- libkipi-devel Requires: pkgconfig

* Mon Feb 12 2007 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.1.5-2m)
- rebuild against kdelibs etc.

* Sun Dec 17 2006 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.1.5-1m)
- version 0.1.5

* Wed Aug 16 2006 Nishio Futoshi <futoshi@momonga-linux.org>
- (0.1.4-2m)
- rebuild against kdelibs-3.5.4-2m

* Mon Jul 10 2006 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.1.4-1m)
- version 0.1.4

* Sat Feb  4 2006 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.1.2-3m)
- add --enable-new-ldflags to configure

* Tue Nov 15 2005 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.1.2-2m)
- rebuild against KDE 3.5 RC1

* Thu Oct 27 2005 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.1.2-1m)
- version 0.1.2

* Thu Sep 15 2005 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.1.1-2m)
- add --disable-rpath to configure

* Mon Jul 11 2005 Ichiro Nakai <ichiro@n.email.ne.jp>
- (0.1.1-1m)
- initial package for Momonga Linux
- import Summary and %%description from cooker
